For the complete documentation index, see llms.txt. This page is also available as Markdown.

Script Templates

List Script Templates

get

Retrieves a paginated list of script templates. Can be filtered by name, hidden_from_marketplace, visible_for_marketplace, and private.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Query parameters
filter[name]stringOptional

Filter results by name.

filter[hidden_from_marketplace]stringOptional

Filter results by hidden_from_marketplace.

filter[visible_for_marketplace]stringOptional

Filter results by visible_for_marketplace.

filter[private]stringOptional

Filter results by private.

filter[visibility]stringOptional

Filter results by visibility.

includestringOptional

Comma-separated list of relationships to include. Available: content, marketplace_company

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/patchworks/script-templates
GET /api/v1/patchworks/script-templates HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 0,
      "name": "string",
      "description": "string",
      "language": "string",
      "company_id": 0,
      "canonical_key": null,
      "marketplace_company_id": null,
      "tenant_script_version_id": null,
      "updated_at": "2025-01-15T10:30:00.000000Z",
      "created_at": "2025-01-15T10:30:00.000000Z"
    }
  ],
  "links": {
    "first": "string",
    "last": "string",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "per_page": 15,
    "to": 1,
    "total": 1
  }
}

Get Script Template

get

Retrieves the details of a specific script template.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
script_templatestringRequired

The script template identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[hidden_from_marketplace]stringOptional

Filter results by hidden_from_marketplace.

filter[visible_for_marketplace]stringOptional

Filter results by visible_for_marketplace.

filter[private]stringOptional

Filter results by private.

filter[visibility]stringOptional

Filter results by visibility.

includestringOptional

Comma-separated list of relationships to include. Available: content, marketplace_company

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/patchworks/script-templates/{script_template}
GET /api/v1/patchworks/script-templates/{script_template} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "id": 0,
    "name": "string",
    "description": "string",
    "language": "string",
    "company_id": 0,
    "canonical_key": null,
    "marketplace_company_id": null,
    "tenant_script_version_id": null,
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "created_at": "2025-01-15T10:30:00.000000Z"
  }
}

Delete Script Template

delete

Permanently deletes a specific script template.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
script_templatestringRequired

The script template identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/patchworks/script-templates/{script_template}
DELETE /api/v1/patchworks/script-templates/{script_template} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

Install Script Template

post

Installs a specific script template.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
script_templatestringRequired

The script template identifier.

Responses
200

Successful response

application/json
objectOptional
post/api/v1/script-templates/{script_template}/install
POST /api/v1/script-templates/{script_template}/install HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{}

Last updated

Was this helpful?